# Makefile for skeleton service
#
# cdev skeleton service directory (example service)
#
# Makefile,v
# Revision 1.6  1996/06/26  15:54:22  akers
# Modifications to support multiple OS Versions
#
# Revision 1.5  1995/11/20  15:20:18  chen
# add target
#
# Revision 1.4  1995/11/14  17:47:43  chen
# new makefile
#
#
include ../Makefile.config

XTRACXXFLAGS = -D_CDEV_DEBUG


ifeq ($(SHOBJ),YES)
	OBJTYPE=.shobj/$(TARGETDIR)
else
	OBJTYPE=.obj/$(TARGETDIR)
endif

OBJS =  $(OBJTYPE)/skService.o $(OBJTYPE)/skRequestObject.o

ifeq ($(SHOBJ), YES)
targets: $(OBJTYPE) $(LIBDIR)/skService.so

$(LIBDIR)/skService.so: $(OBJS)
	@if test ! -d $(LIBDIR); then mkdir -p $(LIBDIR); else echo; fi
	rm -f $@
	$(MAKELIB) $@ $(OBJS)
else
targets: $(OBJTYPE) $(LIBDIR)/libsk.a

$(LIBDIR)/libsk.a: $(OBJS)
	@if test ! -d $(LIBDIR); then mkdir -p $(LIBDIR); else echo; fi
	rm -f $@
	$(MAKELIB) $@ $(OBJS)
	$(RANLIB) $@
endif

$(OBJTYPE) :
	@mkdir -p $(OBJTYPE)

clean: clean_hail
	rm -rf *.so *.o *.a *~ core ptrepository
